package gg.malloc.defense;

import gg.malloc.defense.model.Arena;
import gg.malloc.defense.model.Waypoint;

import org.bukkit.World;

public class MemoryArena implements Arena {

  Waypoint[] m_spawnpoints;
  Waypoint m_bombTarget;

  public MemoryArena(Waypoint[] spawnpoints, Waypoint bombTarget) {
    m_spawnpoints = spawnpoints;
    m_bombTarget = bombTarget;
  }

  @Override
  public Waypoint[] spawnpoints() {
    return m_spawnpoints;
  }

  @Override
  public Waypoint bombTarget() {
    return m_bombTarget;
  }
}
